Project

General

Profile

opkg update for ALPHA Release 2016.01

Added by Ben Atkinson over 4 years ago

Hello,

I am using the ALPHA Release 2016.01 with a dbric kernel installed on my target hardware. It seems to be working well, but there is a minor annoyance. I needed rsync on the system, so I performed the following:

$ opkg update
$ opkg install rsync

rsync works fine, but ever since performing the "opkg update" I get the following spam whenever I do "opkg update":

Package libgstapp-0.10-0 version 0.10.36-r9.1 has no valid architecture, ignoring.
Package libgstapp-0.10-0 version 0.10.36-r9.1 has no valid architecture, ignoring.
Package libgstaudio-0.10-0 version 0.10.36-r9.1 has no valid architecture, ignoring.
Package libgstaudio-0.10-0 version 0.10.36-r9.1 has no valid architecture, ignoring.
Package libgstcdda-0.10-0 version 0.10.36-r9.1 has no valid architecture, ignoring.
Package libgstcdda-0.10-0 version 0.10.36-r9.1 has no valid architecture, ignoring.
Package libgstfft-0.10-0 version 0.10.36-r9.1 has no valid architecture, ignoring.
Package libgstfft-0.10-0 version 0.10.36-r9.1 has no valid architecture, ignoring.
Package libgstinterfaces-0.10-0 version 0.10.36-r9.1 has no valid architecture, ignoring.

... and on and on for 220 lines.

The contents of /etc/opkg/angstrom-gstreamer.conf is:

src/gz gstreamer http://feeds.angstrom-distribution.org/feeds/v2014.06/ipk/eglibc/armv5te/gstreamer

What should be done to get rid of the gstreamer messages?

Regards,

Ben


Replies (4)

RE: opkg update for ALPHA Release 2016.01 - Added by Jonathan Cormier over 4 years ago

This post seems to describe what your reporting. We will need to test the patch. Would you be willing to test if we can send you an updated opkg binary?

https://groups.google.com/forum/#!topic/opkg-devel/hjvqvgTG0gA

RE: opkg update for ALPHA Release 2016.01 - Added by Ben Atkinson over 4 years ago

Jonathan,

I saw that post, too. Yes, if you send me the patched binary, I'll try it.

Regards,

Ben

RE: opkg update for ALPHA Release 2016.01 - Added by Jonathan Cormier over 4 years ago

opkg install  libopkg1_0.2.1-r0.100_cortexa8t2hf-vfp-neon.ipk opkg_0.2.1-r0.100_cortexa8t2hf-vfp-neon.ipk

I think this should work. May want to do a m5sum before and after to ensure it did install.

md5sum /usr/bin/opkg

RE: opkg update for ALPHA Release 2016.01 - Added by Ben Atkinson over 4 years ago

Thanks, Jonathan. That worked!

Regards,

Ben

    (1-4/4)
    Add picture from clipboard (Maximum size: 500 MB)